//
//  ConfigurationNode.h
//  Diary
//
//  Created by Robert Fujara on 29.04.09.
//  Copyright 2009 Synium Software GmbH. All rights reserved.
//

@interface ConfigurationNode : NSObject {
	NSString* _domain;
	CFStringRef _preferenceID;
#ifdef MacOSX
	NSString* _object;
	NSString* _notificationName;
#endif
	BOOL _isNew;
}

- (id) initWithUserDefaultsKey:(NSString*)key;

- (id) initWithUserDefaultsKey:(NSString*)key isNew:(BOOL*)isNew;

- (BOOL) containsValueForKey:(NSString*)key;

- (void) dispose;

@property (readonly) BOOL isNew;

@end
