//
//  NSDate-Splitting.h
//  Diary
//
//  Created by Robert Fujara on 15.04.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

#define DateRangeFromKey @"from"
#define DateRangeToKey @"to"
#define DateRangeDurationKey @"duration"

@interface NSDate (Splitting)

+ (NSArray*) datesWithoutTimeInRangeFrom:(NSDate*)from to:(NSDate*)to;

+ (BOOL) intersectRangeFrom:(NSDate**)from to:(NSDate**)to withRangeFrom:(NSDate*)intersectFrom to:(NSDate*)intersectTo;

+ (NSArray*) rangesForDaysInRangeFrom:(NSDate*)from to:(NSDate*)to;

@end
