//
//  NSError-Additions.h
//  Diary
//
//  Created by Robert Fujara on 22.07.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

@interface NSError (Additions)

+ (id) errorWithUserInfo:(NSDictionary*)userInfo;

- (NSString*) recursiveDescriptionIncludingTopMostDescription:(BOOL)includingTopMostDescription userFriendly:(BOOL)userFriendly;

- (void) logRecursiveDescriptionForObject:(id)object;

@end
