//
//  NSManagedObject-Additions.h
//  Diary
//
//  Created by Robert Fujara on 06.05.09.
//  Copyright 2009 Synium Software GmbH. All rights reserved.
//

@interface NSManagedObject (Additions)

- (NSArray*) fetchObjects:(Class)managedObjectClass usingPredicate:(NSPredicate*)predicate;

- (NSManagedObject*) fetchObject:(Class)managedObjectClass usingPredicate:(NSPredicate*)predicate;

- (NSURL*) objectUrl;

@end
