//
//  NSThread-Additions.h
//  ProjectManagement
//
//  Created by Robert Fujara on 21.05.09.
//  Copyright 2009 Synium Software GmbH. All rights reserved.
//

@interface NSThread (Additions)

- (id) objectForKey:(NSString*)key;

- (void) setObject:(id)object forKey:(NSString*)key;

- (void) runCurrentLoop;

- (void) stopLoop;

- (void) waitForExit;

+ (NSThread*) threadWithRunLoop;

@end
